import { BaseDb } from './classes/base-db';
import type { BaseProjectResolver } from './classes/base-project-resolver';
declare const defaultDb: {
    projects: {
        location: string;
    }[];
};
export declare class ProjectDatabase extends BaseDb<typeof defaultDb> {
    constructor(ins: BaseProjectResolver);
    getAllProjectsFromDB(): Promise<{
        location: string;
    }[]>;
}
export {};
